using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Models
{

    [Serializable()]

     public  class Article
    {

         private int arti_id;
         private string arti_title = String.Empty;
         private string arti_contents = String.Empty;
         //private int userid = String.Empty;
         private DateTime arti_time;
         private int arti_codeid;
         private User user;
         private int userid;
         private string username;
         private string arti_cotename;
         private ArticleCote arti_cote;


         public int Arti_id
         {
             get { return this.arti_id; }

             set { this.arti_id = value; }
         }

         public string Arti_title
         {
             get { return this.arti_title; }
             set { this.arti_title = value; }
         }

         public string Arti_contents
         {
             get { return this.arti_contents; }
             set { this.arti_contents = value; }
         }

         public User Users
         {
             get { return this.user; }
             set { this.user = value; }

         }
         public int Userid
         {
             get { return this.userid; }
             set { this.userid = value; }
         }

         public DateTime Arti_time
         {
             get { return this.arti_time; }
             set { this.arti_time = value; }
         }
         public int Arti_codeid
         {

             get { return this.arti_codeid; }
             set { this.arti_codeid = value; }
         }
         public string Username
         {
             get { return this.username; }
             set { this.username = value; }
         }
         public string Arti_cotename
         {
             get { return this.arti_cotename; }
             set { this.arti_cotename=value; }
         }
         public ArticleCote Arti_cote
         {
             get { return this.arti_cote; }
             set { this.arti_cote = value; }
         }

    }
}
